dvb_desc_language Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the ISO639 language descriptor. More...

`#include <desc_language.h>`

## Data Fields

uint8_t | type
uint8_t | length
struct dvb_desc * | next
unsigned char | language [4]
uint8_t | audio_type

## Detailed Description

Structure containing the ISO639 language descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  language | ISO639 language string
  audio_type | audio type: 0 = undefined, 1 = clean effects, 2 = hearing impaired, 3 = visual impired comentary, other values are reserved.

Definition at line 55 of file desc_language.h.

## Field Documentation

## audio_type

uint8_t dvb_desc_language::audio_type

Definition at line 61 of file desc_language.h.

## language

unsigned char dvb_desc_language::language[4]

Definition at line 60 of file desc_language.h.

## length

uint8_t dvb_desc_language::length

Definition at line 57 of file desc_language.h.

## next

struct dvb_desc* dvb_desc_language::next

Definition at line 58 of file desc_language.h.

## type

uint8_t dvb_desc_language::type

Definition at line 56 of file desc_language.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_language.h